/*  system.h
 *
 *  This include file contains information that is included in every
 *  function in the test set.
 *
 *  COPYRIGHT (c) 1989-1999.
 *  On-Line Applications Research Corporation (OAR).
 *
 *  The license and distribution terms for this file may be
 *  found in the file LICENSE in this distribution or at
 *  http://www.rtems.com/license/LICENSE.
 *
 *  $Id: system.h,v 1.18 2005/11/07 09:09:24 ralf Exp $
 */

#include <rtems.h>
#include <inttypes.h>

/* functions */

rtems_task Init(
  rtems_task_argument argument
);

rtems_task Test_task_1(
  rtems_task_argument argument
);

rtems_task Test_task_2(
  rtems_task_argument argument
);


rtems_task Test_task_3(
  rtems_task_argument argument
);

/* global variables */

/*
 *  Keep the names and IDs in global variables so another task can use them.
 */

extern rtems_id printMutex;
extern rtems_id   Task_id[ 3 ];         /* array of task ids */
extern rtems_name Task_name[ 3 ];       /* array of task names */


/* configuration information */

#include <bsp.h> /* for device driver prototypes */

#define CONFIGURE_MAXIMUM_SEMAPHORES   1
#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
#define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
#define CONFIGURE_MAXIMUM_TASKS	4
#define CONFIGURE_RTEMS_INIT_TASKS_TABLE

#include <rtems/confdefs.h>
